# this is  a list of useful functions to import for the WVR scaling
# these are the MINIMAL required to allow full
# running of the code in the WVR scaling package
# Developed by Allegro ALMA arc node, Leiden 


import os
from xml.etree.ElementTree import ElementTree as ET
from string import join as Join

# these are required for the functions to point back 
# to the casa default tasks
try:
	# these will only work within CASA
	from taskinit import *
	from importasdm_cli import importasdm_cli as importasdm
	from plotms_cli import plotms_cli as plotms
	from split_cli import split_cli as split
	from wvrgcal_cli import wvrgcal_cli as wvrgcal
	from applycal_cli import applycal_cli as applycal
	from flagdata_cli import flagdata_cli as flagdata
	from gaincal_cli import gaincal_cli as gaincal
	from flagcmd_cli import flagcmd_cli as flagcmd
	from gencal_cli import gencal_cli as gencal
	from setjy_cli import setjy_cli as setjy
	from bandpass_cli import bandpass_cli as bandpass 
	from clean_cli import clean_cli as clean
	from imstat_cli import imstat_cli as imstat
	from exportfits_cli import exportfits_cli as exportfits
        import simutil # needed for obslist, has useful pad transforming functions
        import casadef
except:
	pass

import re; import numpy as np
import matplotlib.pylab as pl; import matplotlib.cm as cm
import matplotlib.pyplot as plt  
from matplotlib.ticker import MultipleLocator,MaxNLocator
from matplotlib.ticker import AutoMinorLocator as aml
from matplotlib import dates
from matplotlib import colors

try:
	from matplotlib.gridspec import GridSpec as GS
except:
	pass

from datetime import datetime
from pytz import utc
import math
import astropy.io.fits as fits
from scipy import constants


